"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.moveFilesToNewDirectory = void 0;
const visit_not_ignored_files_1 = require("../generators/visit-not-ignored-files");
function moveFilesToNewDirectory(tree, oldDir, newDir) {
    visit_not_ignored_files_1.visitNotIgnoredFiles(tree, oldDir, (file) => {
        try {
            tree.rename(file, file.replace(oldDir, newDir));
        }
        catch (e) {
            if (!tree.exists(oldDir)) {
                console.warn(`Path ${oldDir} does not exist`);
            }
            else if (!tree.exists(newDir)) {
                console.warn(`Path ${newDir} does not exist`);
            }
        }
    });
}
exports.moveFilesToNewDirectory = moveFilesToNewDirectory;
//# sourceMappingURL=move-dir.js.map